finley::ElementFile_Jacobians Struct Reference

`#include <ElementFile.h>`

## Public Member Functions

| ElementFile_Jacobians (const_ShapeFunction_ptr basis)
| ~ElementFile_Jacobians ()

## Public Attributes

int | status
| status of mesh when jacobians were updated last time More...
int | numDim
| number of spatial dimensions More...
const_ShapeFunction_ptr | BasisFunctions
| basis function used More...
int | numQuadTotal
int | numSides
| number of sides (=1 normal, =2 contact) More...
const int * | offsets
| offset to sides (borrowed reference) More...
int | numSub
| number of subelements More...
int | numShapesTotal
| total number of shape functions = BasisFunctions->numShapes * numSides More...
const int * | node_selection
dim_t | numElements
| number of elements More...
double * | volume
| local volume More...
double * | DSDX

## Constructor & Destructor Documentation

## ElementFile_Jacobians()

finley::ElementFile_Jacobians::ElementFile_Jacobians | ( | const_ShapeFunction_ptr | basis | ) |

## ~ElementFile_Jacobians()

finley::ElementFile_Jacobians::~ElementFile_Jacobians | ( |  | ) |

## Member Data Documentation

## BasisFunctions

const_ShapeFunction_ptr finley::ElementFile_Jacobians::BasisFunctions

basis function used

Referenced by finley::AssembleParameters::AssembleParameters().

## DSDX

double* finley::ElementFile_Jacobians::DSDX

derivatives of shape functions in global coordinates at quadrature points

## node_selection

const int* finley::ElementFile_Jacobians::node_selection

local node selection list of length numSub*numShapesTotal (borrowed reference)

Referenced by finley::AssembleParameters::AssembleParameters().

## numDim

int finley::ElementFile_Jacobians::numDim

number of spatial dimensions

Referenced by finley::AssembleParameters::AssembleParameters().

## numElements

dim_t finley::ElementFile_Jacobians::numElements

number of elements

Referenced by finley::AssembleParameters::AssembleParameters().

## numQuadTotal

int finley::ElementFile_Jacobians::numQuadTotal

total number of quadrature nodes used to calculate jacobians = numSub * BasisFunctions->numQuadNodes

Referenced by finley::AssembleParameters::AssembleParameters().

## numShapesTotal

int finley::ElementFile_Jacobians::numShapesTotal

total number of shape functions = BasisFunctions->numShapes * numSides

Referenced by finley::AssembleParameters::AssembleParameters().

## numSides

int finley::ElementFile_Jacobians::numSides

number of sides (=1 normal, =2 contact)

Referenced by finley::AssembleParameters::AssembleParameters().

## numSub

int finley::ElementFile_Jacobians::numSub

number of subelements

Referenced by finley::AssembleParameters::AssembleParameters().

## offsets

const int* finley::ElementFile_Jacobians::offsets

offset to sides (borrowed reference)

## status

int finley::ElementFile_Jacobians::status

status of mesh when jacobians were updated last time

## volume

double* finley::ElementFile_Jacobians::volume

local volume

The documentation for this struct was generated from the following files:

- finley/src/ElementFile.h
- finley/src/ElementFile_jacobians.cpp